Bug 135843 - No usb-storage to scsi connection for Freecom HDD
No usb-storage to scsi connection for Freecom HDD
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-15 07:34 EDT by Mike Yates
Modified: 2015-01-04 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:18:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Yates 2004-10-15 07:34:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8a3)
Gecko/20040803

Description of problem:
USB device: Freecom Classic USB2 HDD 250Gb

On Redhat 9, this device would trigger usb-storage but then "usually"
fail to be recognised for scsi connection (error -110).
If a Maxtor USB HDD was attached as well, suddenly recognition of the
Hitachi HDD inside would occur and the drive was fully useable.
When the Freecom was detached, usb-storage would not de-register.

On Fedora FC2, it the "Freecom Classic" would be recognised by
usb-storage, but not the Hitachi drive, so no scsi connection occurs
(error -1 "control timeout on ep0in").

Freecom Inc proudly deny any Linux support at all :-(

Version-Release number of selected component (if applicable):
kernel-2.6.8

How reproducible:
Always

Steps to Reproduce:
1. Attach Freecom Classic HDD
2.
3.
    

Actual Results:  > Oct  1 14:02:20 samba kernel: usb 3-1: Product:
FHD-Classic
> Oct  1 14:02:20 samba kernel: usb 3-1: Manufacturer: Freecom
Technologies
> Oct  1 14:02:20 samba kernel: usb 3-1: SerialNumber:
10000000000000000CBDF0
> Oct  1 14:02:26 samba kernel: usb 3-1: control timeout on ep0in
> Oct  1 14:02:26 samba kernel: usb-storage: probe of 3-1:1.0 failed
with error -1



Expected Results:  [result on RH9, triggered by Maxtor device]
Sep  9 09:01:23 samba kernel: SCSI device sda: 240121728 512-byte hdwr
sectors (122942 MB)
Sep  9 09:01:23 samba kernel:  sda: sda1
Sep  9 09:01:23 samba kernel: usb.c: error getting string descriptor 0
(error=-110)
Sep  9 09:01:23 samba last message repeated 2 times
Sep  9 09:01:23 samba kernel: scsi2 : SCSI emulation for USB Mass
Storage devices
Sep  9 09:01:45 samba kernel:   Vendor: HDS72252  Model: 5VLAT80     
     Rev:
V36O
Sep  9 09:01:45 samba kernel:   Type:   Direct-Access                
     ANSI
SCSI revision: 02
Sep  9 09:01:45 samba kernel: Attached scsi disk sdb at scsi2, channel
0, id 0,
lun 0
Sep  9 09:01:45 samba kernel: SCSI device sdb: 488397169 512-byte hdwr
sectors (250059 MB)
Sep  9 09:01:45 samba kernel:  sdb: sdb1
Sep  9 09:01:45 samba kernel: USB Mass Storage support registered.



Additional info:

USB flash pen devices did not "trigger" recognition on RH9
Nothing triggers recognition on Fedora.

We have 2 Freecom drives, for alternate use for off-site backup.
If one that was operative in RH9 was un-mounted and removed, it was
possible to mount the other by "rmmod usb-storage; modprobe
usb-storage" and, after several attempts (many -110 errors) it could
be recognised without the presence of the Maxtor, then used.
This being highly unsatisfactory, we upgraded to FC2, having been told
that USB in kernel 2.6 was much better.
I have even compiled a custom kernel with Freecom capability and debug
messages.
Comment 1 Mike Yates 2004-10-15 07:55:34 EDT
Additional error seen in dmesg (Fedora FC2):-

ohci_hcd 0000:00:0f.2: urb dada4380 path 1 ep0in 5ec20000 cc 5 -->
status -110
Comment 2 Mike Yates 2004-10-16 06:10:57 EDT
I have discovered that this is being discussed in
linux-usb-users@lists.sourceforge.net
and Alan Stern has written a patch (15 Oct 04) for 
unusual_devs.h for kernel 2.6.9rc4

This needs incorporation into Fedora Core
Comment 3 Dave Jones 2004-10-29 20:49:08 EDT
(Reassigning to fc2 as fc1 is EOL). Is this still a problem in the latest update
kernel ?
Comment 4 Mike Yates 2004-10-30 07:56:44 EDT
I you mean 2.6.8-1.521, yes, it is more of a problem than 2.6.5-1.358
where there was better recognition but no scsi connection.
It is clear from the list discussion refered to above that there are
firmware bugs in Freecom USB devices which have never been fixed, but
only worked around in the secret-source drivers Freecom submit to
Microsoft. That is why they proudly proclaim that they "support no
unix". However, patches have been written, particularly for CDrom-only
linux demos which need to cope with a wide variety of hardware - I
have had perfect operation with "Mandrake Move" but not with "Mandrake
10.1", both 2.6.8 kernels.
 
Eero Volotinen wrote to linux-usb-users@lists.sourceforge.net on
21/10/2004 15:07:-
> Looks like that kernel 2.6.9-bk6 contains all fixes that is 
> needed to run Freecom classic with ehci-hcd

So maybe when up2date supplies a 2.6.9 kernel it will work!
Comment 5 Dave Jones 2005-02-08 02:09:04 EST
this still causing problems ?
Comment 6 Nicholas Allen 2005-02-08 05:26:56 EST
Unfortunately, I can't give any more information as I took it back and bought  
a different make of hard drive which is now working perfectly under Linux. 
Comment 7 Dave Jones 2005-04-16 01:18:18 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.